mjlab.managers
==============

.. automodule:: mjlab.managers

.. rubric:: Classes

.. hlist::
  :columns: 3

  - :class:`ManagerBase`
  - :class:`ManagerTermBase`
  - :class:`ManagerTermBaseCfg`
  - :class:`SceneEntityCfg`
  - :class:`ActionManager`
  - :class:`ActionTerm`
  - :class:`ActionTermCfg`
  - :class:`ObservationManager`
  - :class:`ObservationGroupCfg`
  - :class:`ObservationTermCfg`
  - :class:`RewardManager`
  - :class:`RewardTermCfg`
  - :class:`TerminationManager`
  - :class:`TerminationTermCfg`
  - :class:`CommandManager`
  - :class:`NullCommandManager`
  - :class:`CommandTerm`
  - :class:`CommandTermCfg`
  - :class:`CurriculumManager`
  - :class:`NullCurriculumManager`
  - :class:`CurriculumTermCfg`
  - :class:`EventManager`
  - :class:`EventMode`
  - :class:`EventTermCfg`
  - :class:`MetricsManager`
  - :class:`NullMetricsManager`
  - :class:`MetricsTermCfg`
  - :class:`RecorderManager`
  - :class:`NullRecorderManager`
  - :class:`RecorderTerm`
  - :class:`RecorderTermCfg`

Base
----

.. autoclass:: ManagerBase
  :members:
  :show-inheritance:

.. autoclass:: ManagerTermBase
  :members:
  :show-inheritance:

.. autoclass:: ManagerTermBaseCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: SceneEntityCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Action Manager
--------------

.. autoclass:: ActionManager
  :members:
  :show-inheritance:

.. autoclass:: ActionTerm
  :members:
  :show-inheritance:

.. autoclass:: ActionTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Observation Manager
-------------------

.. autoclass:: ObservationManager
  :members:
  :show-inheritance:

.. autoclass:: ObservationGroupCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: ObservationTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Reward Manager
--------------

.. autoclass:: RewardManager
  :members:
  :show-inheritance:

.. autoclass:: RewardTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Termination Manager
-------------------

.. autoclass:: TerminationManager
  :members:
  :show-inheritance:

.. autoclass:: TerminationTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Command Manager
---------------

.. autoclass:: CommandManager
  :members:
  :show-inheritance:

.. autoclass:: NullCommandManager
  :members:
  :show-inheritance:

.. autoclass:: CommandTerm
  :members:
  :show-inheritance:

.. autoclass:: CommandTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Curriculum Manager
------------------

.. autoclass:: CurriculumManager
  :members:
  :show-inheritance:

.. autoclass:: NullCurriculumManager
  :members:
  :show-inheritance:

.. autoclass:: CurriculumTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Event Manager
-------------

.. autoclass:: EventManager
  :members:
  :show-inheritance:

.. autoclass:: EventMode
  :members:
  :undoc-members:

.. autoclass:: EventTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Metrics Manager
---------------

.. autoclass:: MetricsManager
  :members:
  :show-inheritance:

.. autoclass:: NullMetricsManager
  :members:
  :show-inheritance:

.. autoclass:: MetricsTermCfg
  :members:
  :exclude-members: __init__

Recorder Manager
----------------

.. autoclass:: RecorderManager
  :members:
  :show-inheritance:

.. autoclass:: NullRecorderManager
  :members:
  :show-inheritance:

.. autoclass:: RecorderTerm
  :members:
  :show-inheritance:

.. autoclass:: RecorderTermCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
